package com.microservices.pms.project.domain;

import com.microservices.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 测试报告-测试单关联对象 pms_project_test_report_sheet
 * 
 * @author wanjia
 * @date 2023-12-14
 */
public class PmsProjectTestReportSheet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 测试报告ID */
    private Long projectTestReportId;

    /** 测试单ID */
    private Long projectTestSheetId;

    public void setProjectTestReportId(Long projectTestReportId) 
    {
        this.projectTestReportId = projectTestReportId;
    }

    public Long getProjectTestReportId() 
    {
        return projectTestReportId;
    }
    public void setProjectTestSheetId(Long projectTestSheetId) 
    {
        this.projectTestSheetId = projectTestSheetId;
    }

    public Long getProjectTestSheetId() 
    {
        return projectTestSheetId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectTestReportId", getProjectTestReportId())
            .append("projectTestSheetId", getProjectTestSheetId())
            .toString();
    }
}
